<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<html>
<head>
<title>照片上传</title>
<meta charset="utf-8">

<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
<meta name="description" content="Write an awesome description for your new site here. You can edit this line in _config.yml. It will appear in your document head meta (for Google search results) and in your feed.xml site description.
">
<link rel="stylesheet" href="/SinoGYS/weixincss/weui.min.css">
<link rel="stylesheet" href="/SinoGYS/weixincss/jquery-weui.css">
<link rel="stylesheet" href="/SinoGYS/weixincss/demos.css">

<script src="/SinoGYS/js/jquery-1.7.2.js" type="text/javascript"></script>
<script src="/SinoGYS/js/jquery-weui.js"></script>
<style>
	.weui_icon_search:before{line-height:38px;}
	.weui_icon_clear:before{line-height:38px;}
	.weui_search_cancel{line-height:38px;}
</style>
</head>

<%
	String rescueCode=request.getParameter("rescueCode");
	String code=request.getParameter("code");
	System.out.print("--=====可以走到此时");
 %>

<script type="text/javascript">
	$().ready(function(){
	//	alert(<%=code%>);
		var inputCode='<%=code%>';
		if(inputCode.length == 0){
			return;
		}else{
			$("#search_text").hide();
			$(".weui_search_inner").show();
			$("#search_cancel").show();
			$("#search_input").val(inputCode);
			searchByCode();
		}
	});

	function searchByCode(){
		var code=$("#search_input").val();
		$.showLoading();
		$.ajax({
			type : "POST",
			url : "/SinoGYS/ConnectionAction.do?CMD=queryOrder",
			dataType: "json",
			data :{"code":code,"rescueCode":<%=rescueCode%>},
			
			success : function(data) {
				$("#orderMain").empty();
				if (data.finishOrderList.length==0) {
				        $.hideLoading();
						$.toast("没有该订单","text");
						return;
				}
				$.hideLoading();
				for ( var i in data.finishOrderList) {
				var orderList=data.finishOrderList;
				$(".orderMain").append('<div class="weui_panel " style="margin-top:0px;"><div class="weui_panel_bd"><div class="weui_media_box weui_media_text">'+
	          								'<div><div style="float:left;width: 75%;"><p style="color: #999;font-size: 15px;line-height: 18px;padding-left: 2%">订单编号:'+orderList[i].taskOrderCode+'</p>'+
								            '<p style="color: #999;font-size: 15px;line-height: 18px;padding-left: 2%">服务类型:'+orderList[i].SERVICE_NAME+'</p>'+
								            '<p style="color: #999;font-size: 15px;padding-left: 2%">救援地点:'+orderList[i].ADDRESS.substring(0,10)+'...</p>'+
							            	'<p style="color: #999;font-size: 15px;padding-left: 2%;line-height: 18px;">完成时间:'+orderList[i].FINISHTIME.substring(0, 19)+'</p>'+
	        								'</div><div style="text-align: center;width: 25%;float:right;"><img src="/SinoGYS/images/111.png" onclick="photoDisplay('+orderList[i].taskOrderId+','+orderList[i].ORDER_ID+')"></div></div></div></div></div>');
				}
			},
		});
		
	}

	$(document).keydown(function(event){ 
		if(event.keyCode === 13){
			searchByCode();
			$('.weui_search_input').blur();
		}

	}); 
	
	function photoDisplay(taskOrderId,orderId){
		alert(taskOrderId+"--"+orderId);
		var inputCode=$("#search_input").val();
		window.location.href="/SinoGYS/supplier/connectionImg.jsp?orderId="+orderId+"&taskOrderId="+taskOrderId+"&rescueCode="+<%=rescueCode%>;
	}
</script>
  
  <body >
	<input type="hidden" id="count" name="count" value="qwe">
    <div class="weui_search_bar" id="search_bar" style="height: 54px;">
      <div class="weui_search_outer">
		

        <div class="weui_search_inner">
          <i class="weui_icon_search"  style="top:1px;line-height:38px;"></i>
          <input style="font-size:18px;padding:8px 0" type="search" class="weui_search_input" id="search_input" placeholder="订单编号" required/>
          <a href="javascript:" class="weui_icon_clear" id="search_clear"></a>
        </div>
        <label for="search_input" class="weui_search_text" id="search_text">
          <i class="weui_icon_search"></i>
          <span style="font-size:20px;">搜索</span>
        </label>
      </div>
      <a style="line-hight:38px;" class="weui_search_cancel" id="search_cancel" onclick="searchByCode()">搜索</a>


    </div>
  	
  	<div style="height: auto;width: 100%;" class="orderMain" id="orderMain"> </div>
  </body>
</html>
